34 lines
1.2 KiB
Diff
34 lines
1.2 KiB
Diff
|
From: csagan5 <32685696+csagan5@users.noreply.github.com>
|
||
|
Date: Fri, 6 Apr 2018 10:29:05 +0200
|
||
|
Subject: exit on failure of inclusion
|
||
|
|
||
|
License: GPL-3.0-only - https://spdx.org/licenses/GPL-3.0-only.html
|
||
|
---
|
||
|
chrome/installer/linux/debian/build.sh | 6 +++---
|
||
|
1 file changed, 3 insertions(+), 3 deletions(-)
|
||
|
|
||
|
diff --git a/chrome/installer/linux/debian/build.sh b/chrome/installer/linux/debian/build.sh
|
||
|
--- a/chrome/installer/linux/debian/build.sh
|
||
|
+++ b/chrome/installer/linux/debian/build.sh
|
||
|
@@ -239,15 +239,15 @@ DEB_CHANGELOG="${TMPFILEDIR}/changelog"
|
||
|
DEB_FILES="${TMPFILEDIR}/files"
|
||
|
DEB_CONTROL="${TMPFILEDIR}/control"
|
||
|
|
||
|
-source ${OUTPUTDIR}/installer/common/installer.include
|
||
|
+source ${OUTPUTDIR}/installer/common/installer.include || exit $?
|
||
|
|
||
|
get_version_info
|
||
|
VERSIONFULL="${VERSION}-${PACKAGE_RELEASE}"
|
||
|
|
||
|
if [ "$BRANDING" = "google_chrome" ]; then
|
||
|
- source "${OUTPUTDIR}/installer/common/google-chrome.info"
|
||
|
+ source "${OUTPUTDIR}/installer/common/google-chrome.info" || exit $?
|
||
|
else
|
||
|
- source "${OUTPUTDIR}/installer/common/chromium-browser.info"
|
||
|
+ source "${OUTPUTDIR}/installer/common/chromium-browser.info" || exit $?
|
||
|
fi
|
||
|
eval $(sed -e "s/^\([^=]\+\)=\(.*\)$/export \1='\2'/" \
|
||
|
"${OUTPUTDIR}/installer/theme/BRANDING")
|
||
|
--
|
||
|
2.25.1
|